Index: CKEditor/trunk/_source/lang/fr-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/fr-ca.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/fr-ca.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Insérer un séparateur',
 	pagebreak		: 'Insérer un saut de page',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Supprimer le lien',
 	undo			: 'Annuler',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Largeur',
+		height			: 'Hauteur',
+		align			: 'Alignement',
+		alignLeft		: 'Gauche',
+		alignRight		: 'Droite',
+		alignCenter		: 'Centré',
+		alignTop		: 'Haut',
+		alignMiddle		: 'Milieu',
+		alignBottom		: 'Bas',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Barres de défilement',
 		popupDependent	: 'Dépendante (Netscape)',
-		popupWidth		: 'Largeur',
 		popupLeft		: 'Position à partir de la gauche',
-		popupHeight		: 'Hauteur',
 		popupTop		: 'Position à partir du haut',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Colonnes',
 		border		: 'Taille de la bordure',
-		align		: 'Alignement',
-		alignLeft	: 'Gauche',
-		alignCenter	: 'Centré',
-		alignRight	: 'Droite',
-		width		: 'Largeur',
 		widthPx		: 'pixels',
 		widthPc		: 'pourcentage',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Hauteur',
 		cellSpace	: 'Espacement',
 		cellPad		: 'Contour',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Télécharger',
 		alt			: 'Texte de remplacement',
-		width		: 'Largeur',
-		height		: 'Hauteur',
 		lockRatio	: 'Garder les proportions',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'Espacement horizontal',
 		vSpace		: 'Espacement vertical',
-		align		: 'Alignement',
-		alignLeft	: 'Gauche',
-		alignRight	: 'Droite',
 		alertUrl	: 'Veuillez saisir l\'URL de l\'image',
 		linkTab		: 'Lien',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Alignement',
-		alignLeft		: 'Gauche',
 		alignAbsBottom	: 'Abs Bas',
 		alignAbsMiddle	: 'Abs Milieu',
 		alignBaseline	: 'Bas du texte',
-		alignBottom		: 'Bas',
-		alignMiddle		: 'Milieu',
-		alignRight		: 'Droite',
 		alignTextTop	: 'Haut du texte',
-		alignTop		: 'Haut',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Couleur de fond',
-		width			: 'Largeur',
-		height			: 'Hauteur',
 		hSpace			: 'Espacement horizontal',
 		vSpace			: 'Espacement vertical',
 		validateSrc		: 'Veuillez saisir l\'URL',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fr.js
===================================================================
--- CKEditor/trunk/_source/lang/fr.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/fr.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Ligne horizontale',
 	pagebreak		: 'Saut de page',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Supprimer le lien',
 	undo			: 'Annuler',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Largeur',
+		height			: 'Hauteur',
+		align			: 'Alignement',
+		alignLeft		: 'Gauche',
+		alignRight		: 'Droite',
+		alignCenter		: 'Centré',
+		alignTop		: 'Haut',
+		alignMiddle		: 'Milieu',
+		alignBottom		: 'Bas',
+		invalidHeight	: 'La hauteur doit être un nombre.',
+		invalidWidth	: 'La largeur doit être un nombre.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Barres de défilement',
 		popupDependent	: 'Dépendante (Netscape)',
-		popupWidth		: 'Largeur',
 		popupLeft		: 'Position gauche',
-		popupHeight		: 'Hauteur',
 		popupTop		: 'Position haute',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Colonnes',
 		border		: 'Taille de la bordure',
-		align		: 'Alignement du contenu',
-		alignLeft	: 'Gauche',
-		alignCenter	: 'Centré',
-		alignRight	: 'Droite',
-		width		: 'Largeur',
 		widthPx		: 'pixels',
 		widthPc		: '% pourcents',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Hauteur',
 		cellSpace	: 'Espacement des cellules',
 		cellPad		: 'Marge interne des cellules',
@@ -288,7 +292,4 @@
 			hAlign			: 'Alignement Horizontal',
 			vAlign			: 'Alignement Vertical',
-			alignTop		: 'Haut',
-			alignMiddle		: 'Milieu',
-			alignBottom		: 'Bas',
 			alignBaseline	: 'Bas du texte',
 			bgColor			: 'Couleur d\'arrière-plan',
@@ -411,6 +412,4 @@
 		upload		: 'Envoyer',
 		alt			: 'Texte de remplacement',
-		width		: 'Largeur',
-		height		: 'Hauteur',
 		lockRatio	: 'Garder les proportions',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'Espacement horizontal',
 		vSpace		: 'Espacement vertical',
-		align		: 'Alignement',
-		alignLeft	: 'Gauche',
-		alignRight	: 'Droite',
 		alertUrl	: 'Veuillez entrer l\'adresse de l\'image',
 		linkTab		: 'Lien',
@@ -427,6 +423,4 @@
 		img2Button	: 'Voulez-vous transformer l\'image en bouton image?',
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Même domaine',
 		accessNever		: 'Jamais',
-		align			: 'Alignement',
-		alignLeft		: 'Gauche',
 		alignAbsBottom	: 'Bas absolu',
 		alignAbsMiddle	: 'Milieu absolu',
 		alignBaseline	: 'Bas du texte',
-		alignBottom		: 'Bas',
-		alignMiddle		: 'Milieu',
-		alignRight		: 'Droite',
 		alignTextTop	: 'Haut du texte',
-		alignTop		: 'Haut',
 		quality			: 'Qualité',
 		qualityBest		: 'Meilleure',
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables du Flash',
 		bgcolor			: 'Couleur d\'arrière-plan',
-		width			: 'Largeur',
-		height			: 'Hauteur',
 		hSpace			: 'Espacement horizontal',
 		vSpace			: 'Espacement vertical',
 		validateSrc		: 'L\'adresse ne doit pas être vide.',
-		validateWidth	: 'La largeur doit être un nombre.',
-		validateHeight	: 'La hauteur doit être un nombre.',
 		validateHSpace	: 'L\'espacement horizontal doit être un nombre.',
 		validateVSpace	: 'L\'espacement vertical doit être un nombre.'
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Ancre',
-		flash	: 'Animation Flash',
-		div		: 'Saut de Page',
-		unknown	: 'Objet Inconnu'
+		anchor		: 'Ancre',
+		flash		: 'Animation Flash',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Objet Inconnu'
 	},
 
Index: CKEditor/trunk/_source/lang/gl.js
===================================================================
--- CKEditor/trunk/_source/lang/gl.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/gl.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Inserir Liña Horizontal',
 	pagebreak		: 'Inserir Salto de Páxina',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Eliminar Ligazón',
 	undo			: 'Desfacer',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Largura',
+		height			: 'Altura',
+		align			: 'Aliñamento',
+		alignLeft		: 'Esquerda',
+		alignRight		: 'Dereita',
+		alignCenter		: 'Centro',
+		alignTop		: 'Tope',
+		alignMiddle		: 'Centro',
+		alignBottom		: 'Pé',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Barras de Desplazamento',
 		popupDependent	: 'Dependente (Netscape)',
-		popupWidth		: 'Largura',
 		popupLeft		: 'Posición Esquerda',
-		popupHeight		: 'Altura',
 		popupTop		: 'Posición dende Arriba',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Columnas',
 		border		: 'Tamaño do Borde',
-		align		: 'Aliñamento',
-		alignLeft	: 'Esquerda',
-		alignCenter	: 'Centro',
-		alignRight	: 'Ereita',
-		width		: 'Largura',
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Altura',
 		cellSpace	: 'Marxe entre Celas',
 		cellPad		: 'Marxe interior',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Carregar',
 		alt			: 'Texto Alternativo',
-		width		: 'Largura',
-		height		: 'Altura',
 		lockRatio	: 'Proporcional',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'Esp. Horiz.',
 		vSpace		: 'Esp. Vert.',
-		align		: 'Aliñamento',
-		alignLeft	: 'Esquerda',
-		alignRight	: 'Dereita',
 		alertUrl	: 'Por favor, escriba a URL da imaxe',
 		linkTab		: 'Ligazón',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Aliñamento',
-		alignLeft		: 'Esquerda',
 		alignAbsBottom	: 'Abs Inferior',
 		alignAbsMiddle	: 'Abs Centro',
 		alignBaseline	: 'Liña Base',
-		alignBottom		: 'Pé',
-		alignMiddle		: 'Centro',
-		alignRight		: 'Dereita',
 		alignTextTop	: 'Tope do Texto',
-		alignTop		: 'Tope',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Cor do Fondo',
-		width			: 'Largura',
-		height			: 'Altura',
 		hSpace			: 'Esp. Horiz.',
 		vSpace			: 'Esp. Vert.',
 		validateSrc		: 'Por favor, escriba a ligazón URL',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/gu.js
===================================================================
--- CKEditor/trunk/_source/lang/gu.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/gu.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'સમસ્તરીય રેખા ઇન્સર્ટ/દાખલ કરવી',
 	pagebreak		: 'ઇન્સર્ટ પેજબ્રેક/પાનાને અલગ કરવું/દાખલ કરવું',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'લિંક કાઢવી',
 	undo			: 'રદ કરવું; પહેલાં હતી એવી સ્થિતિ પાછી લાવવી',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'પહોળાઈ',
+		height			: 'ઊંચાઈ',
+		align			: 'લાઇનદોરીમાં ગોઠવવું',
+		alignLeft		: 'ડાબી બાજુ ગોઠવવું',
+		alignRight		: 'જમણી',
+		alignCenter		: 'મધ્ય સેન્ટર',
+		alignTop		: 'ઉપર',
+		alignMiddle		: 'વચ્ચે',
+		alignBottom		: 'નીચે',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'સ્ક્રોલ બાર',
 		popupDependent	: 'ડિપેન્ડન્ટ (Netscape)',
-		popupWidth		: 'પહોળાઈ',
 		popupLeft		: 'ડાબી બાજુ',
-		popupHeight		: 'ઊંચાઈ',
 		popupTop		: 'જમણી બાજુ',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'કૉલમ/ઊભી કટાર',
 		border		: 'કોઠાની બાજુ(બોર્ડર) સાઇઝ',
-		align		: 'અલાઇનમન્ટ/ગોઠવાયેલું ',
-		alignLeft	: 'ડાબી બાજુ',
-		alignCenter	: 'મધ્ય સેન્ટર',
-		alignRight	: 'જમણી બાજુ',
-		width		: 'પહોળાઈ',
 		widthPx		: 'પિકસલ',
 		widthPc		: 'પ્રતિશત',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'ઊંચાઈ',
 		cellSpace	: 'સેલ અંતર',
 		cellPad		: 'સેલ પૅડિંગ',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'અપલોડ',
 		alt			: 'ઑલ્ટર્નટ ટેક્સ્ટ',
-		width		: 'પહોળાઈ',
-		height		: 'ઊંચાઈ',
 		lockRatio	: 'લૉક ગુણોત્તર',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'સમસ્તરીય જગ્યા',
 		vSpace		: 'લંબરૂપ જગ્યા',
-		align		: 'લાઇનદોરીમાં ગોઠવવું',
-		alignLeft	: 'ડાબી બાજુ ગોઠવવું',
-		alignRight	: 'જમણી',
 		alertUrl	: 'ચિત્રની URL ટાઇપ કરો',
 		linkTab		: 'લિંક',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'લાઇનદોરીમાં ગોઠવવું',
-		alignLeft		: 'ડાબી બાજુ ગોઠવવું',
 		alignAbsBottom	: 'Abs નીચે',
 		alignAbsMiddle	: 'Abs ઉપર',
 		alignBaseline	: 'આધાર લીટી',
-		alignBottom		: 'નીચે',
-		alignMiddle		: 'વચ્ચે',
-		alignRight		: 'જમણી',
 		alignTextTop	: 'ટેક્સ્ટ ઉપર',
-		alignTop		: 'ઉપર',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'બૅકગ્રાઉન્ડ રંગ,',
-		width			: 'પહોળાઈ',
-		height			: 'ઊંચાઈ',
 		hSpace			: 'સમસ્તરીય જગ્યા',
 		vSpace			: 'લંબરૂપ જગ્યા',
 		validateSrc		: 'લિંક  URL ટાઇપ કરો',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/he.js
===================================================================
--- CKEditor/trunk/_source/lang/he.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/he.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'הוספת קו אופקי',
 	pagebreak		: 'הוספת שבירת דף',
+	pagebreakAlt		: 'שבירת דף',
 	unlink			: 'הסרת הקישור',
 	undo			: 'ביטול צעד אחרון',
@@ -110,4 +111,15 @@
 		styles			: 'סגנון',
 		cssClasses		: 'מחלקות גליונות סגנון',
+		width			: 'רוחב',
+		height			: 'גובה',
+		align			: 'יישור',
+		alignLeft		: 'לשמאל',
+		alignRight		: 'לימין',
+		alignCenter		: 'מרכז',
+		alignTop		: 'למעלה',
+		alignMiddle		: 'לאמצע',
+		alignBottom		: 'לתחתית',
+		invalidHeight	: 'הגובה חייב להיות מספר.',
+		invalidWidth	: 'הרוחב חייב להיות מספר.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'ניתן לגלילה',
 		popupDependent	: 'תלוי (Netscape)',
-		popupWidth		: 'רוחב',
 		popupLeft		: 'מיקום צד שמאל',
-		popupHeight		: 'גובה',
 		popupTop		: 'מיקום צד עליון',
 		id				: 'זיהוי (ID)',
@@ -244,13 +254,7 @@
 		columns		: 'עמודות',
 		border		: 'גודל מסגרת',
-		align		: 'יישור',
-		alignLeft	: 'שמאל',
-		alignCenter	: 'מרכז',
-		alignRight	: 'ימין',
-		width		: 'רוחב',
 		widthPx		: 'פיקסלים',
 		widthPc		: 'אחוז',
 		widthUnit	: 'יחידת רוחב',
-		height		: 'גובה',
 		cellSpace	: 'מרווח תא',
 		cellPad		: 'ריפוד תא',
@@ -288,7 +292,4 @@
 			hAlign			: 'יישור אופקי',
 			vAlign			: 'יישור אנכי',
-			alignTop		: 'למעלה',
-			alignMiddle		: 'מרכז',
-			alignBottom		: 'למטה',
 			alignBaseline	: 'שורת בסיס',
 			bgColor			: 'צבע רקע',
@@ -411,6 +412,4 @@
 		upload		: 'העלאה',
 		alt			: 'טקסט חלופי',
-		width		: 'רוחב',
-		height		: 'גובה',
 		lockRatio	: 'נעילת היחס',
 		unlockRatio	: 'ביטול נעילת היחס',
@@ -419,7 +418,4 @@
 		hSpace		: 'מרווח אופקי',
 		vSpace		: 'מרווח אנכי',
-		align		: 'יישור',
-		alignLeft	: 'לשמאל',
-		alignRight	: 'לימין',
 		alertUrl	: 'יש להקליד את כתובת התמונה',
 		linkTab		: 'קישור',
@@ -427,6 +423,4 @@
 		img2Button	: 'האם להפוך את התמונה לכפתור תמונה?',
 		urlMissing	: 'כתובת התמונה חסרה.',
-		validateWidth	: 'שדה הרוחב חייב להיות מספר שלם.',
-		validateHeight	: 'שדה הגובה חייב להיות מספר שלם.',
 		validateBorder	: 'שדה המסגרת חייב להיות מספר שלם.',
 		validateHSpace	: 'שדה המרווח האופקי חייב להיות מספר שלם.',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'דומיין זהה',
 		accessNever		: 'אף פעם',
-		align			: 'יישור',
-		alignLeft		: 'לשמאל',
 		alignAbsBottom	: 'לתחתית האבסולוטית',
 		alignAbsMiddle	: 'מרכוז אבסולוטי',
 		alignBaseline	: 'לקו התחתית',
-		alignBottom		: 'לתחתית',
-		alignMiddle		: 'לאמצע',
-		alignRight		: 'לימין',
 		alignTextTop	: 'לראש הטקסט',
-		alignTop		: 'למעלה',
 		quality			: 'איכות',
 		qualityBest		: 'מעולה',
@@ -475,11 +463,7 @@
 		flashvars		: 'משתנים לפלאש',
 		bgcolor			: 'צבע רקע',
-		width			: 'רוחב',
-		height			: 'גובה',
 		hSpace			: 'מרווח אופקי',
 		vSpace			: 'מרווח אנכי',
 		validateSrc		: 'יש להקליד את כתובת סרטון הפלאש (URL)',
-		validateWidth	: 'הרוחב חייב להיות מספר.',
-		validateHeight	: 'הגובה חייב להיות מספר.',
 		validateHSpace	: 'המרווח האופקי חייב להיות מספר.',
 		validateVSpace	: 'המרווח האנכי חייב להיות מספר.'
@@ -615,4 +599,13 @@
 		remove				: 'הסרת מיכל (Div)'
   	},
+
+	iframe :
+	{
+		title		: 'מאפייני חלון פנימי (iFrame)',
+		toolbar		: 'חלון פנימי (iFrame)',
+		noUrl		: 'יש להכניס כתובת לחלון.',
+		scrolling	: 'אפשר פסי גלילה',
+		border		: 'הראה מסגרת לחלון'
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'עוגן',
-		flash	: 'סרטון פלאש',
-		div		: 'שבירת דף',
-		unknown	: 'אובייקט לא ידוע'
+		anchor		: 'עוגן',
+		flash		: 'סרטון פלאש',
+		iframe		: 'חלון פנימי (iFrame)',
+		hiddenfield	: 'שדה חבוי',
+		unknown		: 'אובייקט לא ידוע'
 	},
 
Index: CKEditor/trunk/_source/lang/hi.js
===================================================================
--- CKEditor/trunk/_source/lang/hi.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/hi.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'हॉरिज़ॉन्टल रेखा इन्सर्ट करें',
 	pagebreak		: 'पेज ब्रेक इन्सर्ट् करें',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'लिंक हटायें',
 	undo			: 'अन्डू',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'चौड़ाई',
+		height			: 'ऊँचाई',
+		align			: 'ऍलाइन',
+		alignLeft		: 'दायें',
+		alignRight		: 'दायें',
+		alignCenter		: 'बीच में',
+		alignTop		: 'ऊपर',
+		alignMiddle		: 'मध्य',
+		alignBottom		: 'नीचे',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'स्क्रॉल बार',
 		popupDependent	: 'डिपेन्डॅन्ट (Netscape)',
-		popupWidth		: 'चौड़ाई',
 		popupLeft		: 'बायीं तरफ',
-		popupHeight		: 'ऊँचाई',
 		popupTop		: 'दायीं तरफ',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'कालम',
 		border		: 'बॉर्डर साइज़',
-		align		: 'ऍलाइन्मॅन्ट',
-		alignLeft	: 'दायें',
-		alignCenter	: 'बीच में',
-		alignRight	: 'बायें',
-		width		: 'चौड़ाई',
 		widthPx		: 'पिक्सैल',
 		widthPc		: 'प्रतिशत',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'ऊँचाई',
 		cellSpace	: 'सैल अंतर',
 		cellPad		: 'सैल पैडिंग',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'अपलोड',
 		alt			: 'वैकल्पिक टेक्स्ट',
-		width		: 'चौड़ाई',
-		height		: 'ऊँचाई',
 		lockRatio	: 'लॉक अनुपात',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'हॉरिज़ॉन्टल स्पेस',
 		vSpace		: 'वर्टिकल स्पेस',
-		align		: 'ऍलाइन',
-		alignLeft	: 'दायें',
-		alignRight	: 'दायें',
 		alertUrl	: 'तस्वीर का URL टाइप करें ',
 		linkTab		: 'लिंक',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'ऍलाइन',
-		alignLeft		: 'दायें',
 		alignAbsBottom	: 'Abs नीचे',
 		alignAbsMiddle	: 'Abs ऊपर',
 		alignBaseline	: 'मूल रेखा',
-		alignBottom		: 'नीचे',
-		alignMiddle		: 'मध्य',
-		alignRight		: 'दायें',
 		alignTextTop	: 'टेक्स्ट ऊपर',
-		alignTop		: 'ऊपर',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'बैक्ग्राउन्ड रंग',
-		width			: 'चौड़ाई',
-		height			: 'ऊँचाई',
 		hSpace			: 'हॉरिज़ॉन्टल स्पेस',
 		vSpace			: 'वर्टिकल स्पेस',
 		validateSrc		: 'लिंक URL टाइप करें',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/hr.js
===================================================================
--- CKEditor/trunk/_source/lang/hr.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/hr.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Ubaci vodoravnu liniju',
 	pagebreak		: 'Ubaci prijelom stranice',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Ukloni link',
 	undo			: 'Poništi',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Širina',
+		height			: 'Visina',
+		align			: 'Poravnaj',
+		alignLeft		: 'Lijevo',
+		alignRight		: 'Desno',
+		alignCenter		: 'Središnje',
+		alignTop		: 'Vrh',
+		alignMiddle		: 'Sredina',
+		alignBottom		: 'Dolje',
+		invalidHeight	: 'Visina mora biti broj.',
+		invalidWidth	: 'Širina mora biti broj.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Scroll traka',
 		popupDependent	: 'Ovisno (Netscape)',
-		popupWidth		: 'Širina',
 		popupLeft		: 'Lijeva pozicija',
-		popupHeight		: 'Visina',
 		popupTop		: 'Gornja pozicija',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Kolona',
 		border		: 'Veličina okvira',
-		align		: 'Poravnanje',
-		alignLeft	: 'Lijevo',
-		alignCenter	: 'Središnje',
-		alignRight	: 'Desno',
-		width		: 'Širina',
 		widthPx		: 'piksela',
 		widthPc		: 'postotaka',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Visina',
 		cellSpace	: 'Prostornost ćelija',
 		cellPad		: 'Razmak ćelija',
@@ -288,7 +292,4 @@
 			hAlign			: 'Vodoravno poravnanje',
 			vAlign			: 'Okomito poravnanje',
-			alignTop		: 'Vrh',
-			alignMiddle		: 'Sredina',
-			alignBottom		: 'Dolje',
 			alignBaseline	: 'Osnovna linija',
 			bgColor			: 'Boja pozadine',
@@ -411,6 +412,4 @@
 		upload		: 'Pošalji',
 		alt			: 'Alternativni tekst',
-		width		: 'Širina',
-		height		: 'Visina',
 		lockRatio	: 'Zaključaj odnos',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpace',
 		vSpace		: 'VSpace',
-		align		: 'Poravnaj',
-		alignLeft	: 'Lijevo',
-		alignRight	: 'Desno',
 		alertUrl	: 'Unesite URL slike',
 		linkTab		: 'Link',
@@ -427,6 +423,4 @@
 		img2Button	: 'Želite li promijeniti odabranu sliku u gumb?',
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Ista domena',
 		accessNever		: 'Nikad',
-		align			: 'Poravnaj',
-		alignLeft		: 'Lijevo',
 		alignAbsBottom	: 'Abs dolje',
 		alignAbsMiddle	: 'Abs sredina',
 		alignBaseline	: 'Bazno',
-		alignBottom		: 'Dolje',
-		alignMiddle		: 'Sredina',
-		alignRight		: 'Desno',
 		alignTextTop	: 'Vrh teksta',
-		alignTop		: 'Vrh',
 		quality			: 'Kvaliteta',
 		qualityBest		: 'Best',
@@ -475,11 +463,7 @@
 		flashvars		: 'Varijable za Flash',
 		bgcolor			: 'Boja pozadine',
-		width			: 'Širina',
-		height			: 'Visina',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'Molimo upišite URL link',
-		validateWidth	: 'Širina mora biti broj.',
-		validateHeight	: 'Visina mora biti broj.',
 		validateHSpace	: 'HSpace mora biti broj.',
 		validateVSpace	: 'VSpace mora biti broj.'
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Sidro',
-		flash	: 'Flash animacija',
-		div		: 'Prijelom stranice',
-		unknown	: 'Nepoznati objekt'
+		anchor		: 'Sidro',
+		flash		: 'Flash animacija',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Nepoznati objekt'
 	},
 
